Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456542 - Review Request: hotssh - An interface to Secure Shell, for GNOME and OpenSSH
Summary: Review Request: hotssh - An interface to Secure Shell, for GNOME and OpenSSH
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-24 14:40 UTC by Colin Walters
Modified: 2013-10-22 15:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-24 08:03:15 UTC
adel.gadllah: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Colin Walters 2008-07-24 14:40:56 UTC
Spec URL: http://cdn.verbum.org/hotssh.spec
SRPM URL: http://cdn.verbum.org/hotssh-0.2-1.fc9.src.rpm
Description: HotSSH is an interface to Secure Shell, for GNOME and OpenSSH. It intends to be a better experience than simply invoking "ssh" from an existing terminal window.

Comment 1 Adel Gadllah 2008-07-26 16:21:16 UTC
There are some issues with the spec file:

1) use %{_prefix} instead of /usr
2) it does not own %{python_sitelib}/hotssh/ 
3) please use desktop-file-install for installing the desktop file

Comment 2 Colin Walters 2008-07-28 18:09:26 UTC
Thanks for the review.

http://cdn.verbum.org/hotssh-0.2-2.fc9.src.rpm
http://cdn.verbum.org/hotssh.spec

Comment 5 Adel Gadllah 2008-07-28 22:00:36 UTC
Review
==========

[-]	source files match upstream:
		no upstream source, as you are upstream please upload it.
[+]	package meets naming and versioning guidelines.
[-]	specfile is properly named, is cleanly written and uses macros consistently:
		one minior issue: changelog does not match version
[+]	dist tag is present.
[+]	build root is correct.
 (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) is the
recommended value, but not the only one)
[+]	license field matches the actual license.
[+]	license is open source-compatible.
 (include one of the below)
license text not included upstream.
[+]	license text included in package.
[?]	latest version is being packaged.
		well I am sure it is its even newer than what is on the upstream server ;)
[-]	BuildRequires are proper:
		BR: desktop-file-utils is missing for desktop-file-install
[+]	%clean is present.
[-]	package builds in koji:
		no due to missing BR (desktop-file-install)
[+]	package installs properly.
		NOTE: tested with local build
[-]	rpmlint is silent.
		hotssh.noarch: W: non-conffile-in-etc /etc/profile.d/hotssh.csh
		hotssh.noarch: W: non-conffile-in-etc /etc/profile.d/hotssh.sh
		hotssh.noarch: W: incoherent-version-in-changelog 0.2.1-1 0.2.1-2.fc9
	First two warings can be ignored, last one is already noted above please fix.
[+]	owns the directories it creates.
[+]	doesn't own any directories it shouldn't.
[+]	no duplicates in %files.
[+]	file permissions are appropriate.
[+]	code, not content.
[+]	documentation is small, so no -docs subpackage is necessary.
[+]	%docs are not necessary for the proper functioning of the package.
[+]	desktop files valid and installed properly.

========
Comments:

Please do the following fixes:
1) Upload the source tarball.
2) Fix the changelog
3) add the missing BR

After those are done I will approve the package.

There are easy to fix so it should be your last round of fixups ;)

Comment 7 Colin Walters 2008-08-01 15:05:01 UTC
Note the new upstream release is just done and may take a few minutes to appear.

Comment 8 Adel Gadllah 2008-08-01 15:34:46 UTC
OK, sha2sum matches upstream now (b4d9fa4e553dfe95e919c76dd2c1ec9baae796a9).
Builds fine in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=752912
rpmlint output: 
------
hotssh.noarch: W: non-conffile-in-etc /etc/profile.d/hotssh.csh
hotssh.noarch: W: non-conffile-in-etc /etc/profile.d/hotssh.sh
------

As already stated safe to ignore.

=> APPROVED

Comment 9 Colin Walters 2008-08-01 18:05:33 UTC
Thanks for the review.

New Package CVS Request
=======================
Package Name: hotssh
Short Description: HotSSH is an interface to Secure Shell, for GNOME and OpenSSH.
Owners: walters@redhat.com
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes


Comment 10 Rex Dieter 2008-08-01 18:27:43 UTC
just curious, is this a gnome-only app?  If not, I'd suggest dropping "for
GNOME" from the pkg description, summary.

Comment 11 Kevin Fenzi 2008-08-02 02:35:06 UTC
cvs done. Please reset the fedora-cvs flag if you would like to change the Short
Description. Additionally, I added it as: "An interface to Secure Shell, for
GNOME and OpenSSH"


Comment 12 Jan ONDREJ 2008-12-21 07:25:16 UTC
Please, fix URL tag in package.
There is an typo in current URL tag and this URL does not work. Thank you.

URL: http://www.gnome.org/parojects/hotssh
                           ^
                           remove "a" here

Comment 13 Jan ONDREJ 2009-02-15 06:16:01 UTC
This typo is still presnet in stable package and why this bug is still not closed?

Comment 14 Jan ONDREJ 2009-05-21 08:41:18 UTC
Colin, Adel, ping?

Comment 15 Adel Gadllah 2009-08-24 08:03:15 UTC
(In reply to comment #14)
> Colin, Adel, ping?  

I fixed the URL in all branches (but only submitted a build for devel).

Yeah package is imported, so bug can be closed.

Comment 16 Colin Walters 2013-10-22 15:01:42 UTC
Package Change Request
======================
Package Name: hotssh
New Branches: el6
Owners: walters

Comment 17 Gwyn Ciesla 2013-10-22 15:08:31 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.